classification
Title: distutils/spawn.py handle fork() not implemented.
Type: enhancement Stage: resolved
Components: Distutils Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: John.Malmberg, dstufft, eric.araujo, ned.deily, steve.dower
Priority: normal Keywords:

Created on 2014-08-30 21:10 by John.Malmberg, last changed 2021-02-03 18:26 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
lib_distutils_spawn_py.gdiff John.Malmberg, 2014-08-30 21:10 Patch to retry with _spawn_nt if _spawn_posix() fails.
Messages (5)
msg226151 - (view) Author: John Malmberg (John.Malmberg) * Date: 2014-08-30 21:10
Distutils currently can not handle a Posix platform that does not implement fork().

This patch retries with the _spawn_nt to use the spawn() methods if fork() is not implemented.

A platform that does not implement fork() can provide spawn*() methods for python to use.
msg226153 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-08-30 22:39
As far as I can tell, a Posix-compliant system is required to implement fork().  Which platform doesn't?
msg226157 - (view) Author: John Malmberg (John.Malmberg) * Date: 2014-08-31 03:07
There are multiple degrees of Posix compliance.

While X/Open documents the Posix requirements for implementing fork(), so far I have not found anything that requires that fork() be present.

Configure tests for c-python also test for the presence of fork().

OpenVMS complies with many Posix standards, but does not implement fork().
msg226181 - (view) Author: John Malmberg (John.Malmberg) * Date: 2014-08-31 14:22
Note that Python directly supports Unixes which supply fork() and Microsoft Windows that supplies spawn*() methods.

So as long as a platform supports either the fork() or the the Microsoft Windows spawn() methods, there should not be barriers implementing Python on it even if that platform is not directly supported.
msg386394 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:26
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:26:36steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386394

resolution: out of date
stage: resolved
2014-08-31 14:22:45John.Malmbergsetmessages: + msg226181
2014-08-31 03:07:50John.Malmbergsetmessages: + msg226157
2014-08-30 22:39:10ned.deilysetnosy: + ned.deily
messages: + msg226153
2014-08-30 21:10:37John.Malmbergcreate